> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset Filesystem Children

> Return direct children of a folder for lazy tree loading.



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/filesystem/children
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/filesystem/children:
    get:
      tags:
        - api
        - datasets
      summary: Get Dataset Filesystem Children
      description: Return direct children of a folder for lazy tree loading.
      operationId: >-
        get_dataset_filesystem_children_api_datasets__dataset_id__filesystem_children_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: path
          in: query
          required: false
          schema:
            type: string
            description: Folder path relative to dataset root
            default: ''
            title: Path
          description: Folder path relative to dataset root
        - name: max_files_per_dir
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 0
            default: 5
            title: Max Files Per Dir
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Version Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetFilesystemChildrenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetFilesystemChildrenResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        path:
          type: string
          title: Path
        children:
          items:
            $ref: '#/components/schemas/FileTreeNode'
          type: array
          title: Children
        sample_files:
          items:
            $ref: '#/components/schemas/FileSample'
          type: array
          title: Sample Files
        total_files:
          type: integer
          title: Total Files
          default: 0
        total_dirs:
          type: integer
          title: Total Dirs
          default: 0
      type: object
      required:
        - dataset_id
        - path
      title: DatasetFilesystemChildrenResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileTreeNode:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        depth:
          type: integer
          title: Depth
        file_count:
          type: integer
          title: File Count
          default: 0
        total_bytes:
          type: integer
          title: Total Bytes
          default: 0
        has_children:
          type: boolean
          title: Has Children
          default: false
        sample_files:
          items:
            $ref: '#/components/schemas/FileSample'
          type: array
          title: Sample Files
        children:
          items:
            $ref: '#/components/schemas/FileTreeNode'
          type: array
          title: Children
      type: object
      required:
        - name
        - path
        - depth
      title: FileTreeNode
    FileSample:
      properties:
        name:
          type: string
          title: Name
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        extension:
          anyOf:
            - type: string
            - type: 'null'
          title: Extension
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
      type: object
      required:
        - name
      title: FileSample
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````